Loading...
Searching...
No Matches
settings.c File Reference
Rig (transceiver) API

func/level/parm interface More...

`#include "hamlib/config.h"`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include "hamlib/rig.h"`
`#include "hamlib/rig_state.h"`
`#include "cal.h"`
`#include "misc.h"`
Include dependency graph for settings.c:

## Macros

#define | SETTINGS_FILE "hamlib_settings"

## Functions

int | rig_set_level (RIG *rig, vfo_t vfo, setting_t level, value_t val)
| set a radio level setting
int | rig_get_level (RIG *rig, vfo_t vfo, setting_t level, value_t *val)
| get the value of a level
int | rig_set_parm (RIG *rig, setting_t parm, value_t val)
| set a radio parameter
int | rig_get_parm (RIG *rig, setting_t parm, value_t *val)
| get the value of a parameter
setting_t | rig_has_get_level (RIG *rig, setting_t level)
| check retrieval ability of level settings
setting_t | rig_has_set_level (RIG *rig, setting_t level)
| check settable ability of level settings
setting_t | rig_has_get_parm (RIG *rig, setting_t parm)
| check retrieval ability of parameter settings
setting_t | rig_has_set_parm (RIG *rig, setting_t parm)
| check settable ability of parameter settings
setting_t | rig_has_get_func (RIG *rig, setting_t func)
| check ability of radio functions
setting_t | rig_has_set_func (RIG *rig, setting_t func)
| check ability of radio functions
int | rig_set_func (RIG *rig, vfo_t vfo, setting_t func, int status)
| activate/de-activate functions of radio
int | rig_get_func (RIG *rig, vfo_t vfo, setting_t func, int *status)
| get the status of functions of the radio
int | rig_set_ext_level (RIG *rig, vfo_t vfo, hamlib_token_t token, value_t val)
| set a radio level extra parameter
int | rig_get_ext_level (RIG *rig, vfo_t vfo, hamlib_token_t token, value_t *val)
| get the value of a level extra parameter
int | rig_set_ext_func (RIG *rig, vfo_t vfo, hamlib_token_t token, int status)
| set a radio function extra parameter
int | rig_get_ext_func (RIG *rig, vfo_t vfo, hamlib_token_t token, int *status)
| get the value of a function extra parameter
int | rig_set_ext_parm (RIG *rig, hamlib_token_t token, value_t val)
| set a radio parm extra parameter
int | rig_get_ext_parm (RIG *rig, hamlib_token_t token, value_t *val)
| get the value of a parm extra parameter
int | rig_setting2idx (setting_t s)
| basically convert setting_t expressed 2^n to n
int | rig_settings_get_path (char *path, int pathlen)
int | rig_settings_save (const char *setting, void *value, settings_value_t valuetype)
| Save setting parameter.
int | rig_settings_load (char *setting, void *value, settings_value_t valuetype)
int | rig_settings_load_all (char *settings_file)

## Variables

char | settings_file [4096]

## Detailed Description

func/level/parm interface

Author
  Stephane Fillod

Date
  2000-2010

Hamlib interface is a frontend implementing wrapper functions.